complexType "CashflowCalculationElements"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | numberOfUnits?, notional?, underlyer*, calculatedRate*, calculationPeriod*
</...>

Content Model Elements (5):

  calculatedRate (in calculationElements), calculationPeriod (in calculationElements), notional (in calculationElements), | numberOfUnits (in calculationElements), underlyer (in calculationElements)

All Direct / Indirect Based Elements (1):

  calculationElements

Known Usage Locations

- As direct type of elements (1):
  calculationElements

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CashflowCalculationElements"> <xsd:sequence> <xsd:element minOccurs="0" name="numberOfUnits" type="UnderlyerReferenceUnits"/> <xsd:element minOccurs="0" name="notional" type="CashflowNotional"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="underlyer" type="TradeUnderlyer"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculatedRate" type="CashflowFixing"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculationPeriod" type="CashflowCalculationPeriod"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
calculatedRate

  Type: | CashflowFixing, complex content

  The computed rate(s) or price(s) used to calculate the amount of this cashflow component. These computed rates or prices may include averaging and/or various types of rate treatment rules.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculatedRate" type="CashflowFixing"/>

calculationPeriod

  Type: | CashflowCalculationPeriod, complex content

  The period details for calculation/accrual periods that comprise this cashflow component.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculationPeriod" type="CashflowCalculationPeriod"/>

notional

  Type: | CashflowNotional, complex content

  Identifies the notional in effect for this calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notional" type="CashflowNotional"/>

numberOfUnits

  Type: | UnderlyerReferenceUnits, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="numberOfUnits" type="UnderlyerReferenceUnits"/>

underlyer

  Type: | TradeUnderlyer, complex content

  The underlyer(s) used to calculate the amount of this cashflow component. The underlyer(s) will remain unaltered from the values specified in the underlying transaction (i.e. the Fixed Rate on a Credit Default Swap).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="underlyer" type="TradeUnderlyer"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.